LibreELEC 9.2.3 Boots To Black Screen

  • Hello,


    I have an old PC that was running OpenELEC 5.0.8, had no issues with it. I wanted to use the latest version of Kodi so I thought I would upgrade to LibreELEC 9.2.3. (image LibreELEC-Generic.x86_64-9.2.3.img.gz) However, now when I boot, I see the LibreELEC splash screen and text "LibreELEC (official) 9.2.3", but then the screen just goes black and doesn't progress any further.


    I was able to SSH in and look at the log files. I suspect the problem is something to do with: "ERROR: failed to initialize egl." but i am no expert.


    Appreciate anyones help with this. I tried the USB stick that has LibreELEC on it on another PC and it boots fine so no issue with the boot media. I have attached kodi log file.


    Thanks in advance


    kodi.log

  • Hi Nicolas , Thanks for the quick reply.


    The processor is: Intel Atom CPU D525 @ 1.80GHz x 4, Graphics is NVA8. I am not 100% if that is what you are asking. I was able to boot Ubuntu on the PC and just grabbed those details from the "About this computer" section.


    Thanks

  • Hello redhotchico !


    Sounds Like a Nvidia ION 2 system. Some Atom CPU can Not handle 64bit but the D525 can do it.


    Edit: NVA8 GPUs could be:

    GeForce 8400 GS, ION 2, GeForce 205, 210, G 210M, 305M, 310(M), 405

    Quadro FX (380 LP, 380M), NVS (300, 2100M, 3100M)


    Maybe your specific GPU is not supported.


    Libreelec 7 should Work on your Hardware.

    Maybe LE8 but I am Not Sure worth a try.


    Or get a Raspberry Pi 3b or 4b which will draw much less Power and can do 4k (Pi4).


    Regards

    Nicolas

    Edited 5 times, last by Nicolas ().

  • I just found my dust-covered Foxconn D525+Nvidia ION box... Installed 9.2.3, and it just worked.

  • I just found my dust-covered Foxconn D525+Nvidia ION box... Installed 9.2.3, and it just worked.

    Hello Klojum!

    Okay cool!

    I thought there was a Change in LE 8 or 9 using a Driver package (348) which no longer Supports the IONs. Or was it ION 1 only?

    And Nvidia legacy Driver Pack 304 or 340 would be needed.


    NVA8 GPUs could be:

    GeForce 8400 GS, ION 2, GeForce 205, 210, G 210M, 305M, 310(M), 405

    Quadro FX (380 LP, 380M), NVS (300, 2100M, 3100M)


    So maybe His Combination is not supported.


    Klojum are you using a Special build?


    Regards

    Nicolas

    Edited 2 times, last by Nicolas ().

  • are you using a Special build?

    Nope, but my box is ION-1. And using the 340.something driver.

    If ION-1 works, ION-2 should work too AFAIK. But "your mileage may vary..."

  • Thanks Nicolas and Klojum


    Is there a way for me to determine what GPU I have? I looked inside the computer but couldn't see any relevant writing.


    I could just use the older version of OpenELEC, however I was after at least kodi v17. So maybe I might just buy a RP3.


    Thanks.

  • I have an old PC that was running OpenELEC 5.0.8,

    As far as I know, 5.0.8 was the last 32bit version of OpenELEC... So if your pc is 32bit only, and LibreELEC is 64bit only, that'll be a problem. You could try and reinstall 5.0.8 and get system details...


    But all in all, I'd go forward and try a Raspberry Pi setup. It's much more economical in the end, and it's totally silent to begin with. Depending on your video material, the RPi 4B 2GB is about the same price as the RPi 3B+. The 4B has more potential, although it does require a good cooling solution such as a good aluminum casing (e.g. Flirc Kodi case).

  • Maybe Worth to try LE8...


    Regards

    Nicolas